- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: cc792b0f-3e6c-4c1a-aa3d-e4a8fa7108d8
    creation_time: 2023-02-17T12:12:02.108340Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/gsv2008.c
      input_file_hashes:
        c/loop-lit/gsv2008.c: e1138d63f357d834c92b6f364cc94352eb70f7e5f78c8dffcd828792b07d98b9
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/gsv2008.c
    file_hash: e1138d63f357d834c92b6f364cc94352eb70f7e5f78c8dffcd828792b07d98b9
    line: 10
    column: 0
    function: __VERIFIER_assert
  loop_invariant:
    string: y <= x && x < 0 || x < y || y > 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 6bf638d4-5be2-4f2f-8462-dc24882d3835
    creation_time: 2023-02-17T12:12:02.108663Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/gsv2008.c
      input_file_hashes:
        c/loop-lit/gsv2008.c: e1138d63f357d834c92b6f364cc94352eb70f7e5f78c8dffcd828792b07d98b9
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/gsv2008.c
    file_hash: e1138d63f357d834c92b6f364cc94352eb70f7e5f78c8dffcd828792b07d98b9
    line: 14
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: y > 0
    type: assertion
    format: C

